> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get products

> Get a list of products from your product catalog.



## OpenAPI

````yaml /openapi/current/dvm/reseller-to-dvm/product/openapi.yaml get /catalogs/products
openapi: 3.1.0
info:
  title: Product Catalog
  version: 1.0.0
  description: >
    # Overview

    Use this API to view your product catalog. This contains a list of all
    content provider products and services that are enabled for you in the
    Digital Vending Machine®.


    # Change log

    **2025-06-12** | v.1.0.0

    - Overview added

    - Version incremented to match correct major.minor.fix versioning


    **2025-04-05** | v.0.0.2

    - An offer now has a plan, enabling lifecycle management when a consumer
    that subscribes to an offer


    **2024-10-17** | v.0.0.1

    - Initial release
servers:
  - url: https://api.sandbox.bango.com
    description: Integration test environment
  - url: https://api.bango.com
    description: Production environment
security:
  - basic: []
tags:
  - name: Product catalog
    description: >-
      Your product catalog contains all content provider products & services
      that are enabled for you in the Digital Vending MachineÂ®.
paths:
  /catalogs/products:
    get:
      tags:
        - Product catalog
      summary: Get products
      description: Get a list of products from your product catalog.
      parameters:
        - name: locale
          in: query
          description: >
            Use this parameter to return `localizedData` translations for the
            locale provided. 

            - If there are no translations for this locale, an empty
            `localizedData` resource is included in the response.

            - If locale is not included in the request, the `localizedData`
            resource is omitted from the response.
          required: false
          example: en-US
          schema:
            type: string
      responses:
        '200':
          description: Products retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products'
              examples:
                Request without locale:
                  value:
                    - productId: 5f721731-2946-45f9-9f0e-03df00cf11ed
                      name: Music
                      productTiers:
                        - productTierId: 4020dd8a-99fd-441e-b14b-575166c9b43b
                          name: Premium
                      contentProvider:
                        contentProviderId: fc5c87fb-469c-4623-8277-cfa9c13d63bc
                        name: Bango
                Request with locale:
                  value:
                    - productId: 5f721731-2946-45f9-9f0e-03df00cf11ed
                      name: Music
                      localizedData:
                        en-US:
                          description: Music
                      productTiers:
                        - productTierId: 4020dd8a-99fd-441e-b14b-575166c9b43b
                          name: Premium
                          localizedData:
                            en-US:
                              description: Premium
                      contentProvider:
                        contentProviderId: fc5c87fb-469c-4623-8277-cfa9c13d63bc
                        name: Bango
                        localizedData:
                          en-US:
                            description: Bango
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Invalid Parameter:
                  value:
                    errors:
                      - code: invalid-parameter
                        message: A parameter in the request was not valid
                        originator: BANGO
                        metadata: {}
        '401':
          description: Unauthorized (no response body returned)
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Internal server error:
                  value:
                    errors:
                      - code: internal-server-error
                        message: >-
                          The server encountered an unexpected condition which
                          prevented it from fulfilling the request
                        originator: BANGO
                        metadata: {}
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Service unavailable:
                  value:
                    errors:
                      - code: service-unavailable
                        message: >-
                          The service is undergoing maintenance and is not
                          available. Please try again later
                        originator: BANGO
                        metadata: {}
components:
  schemas:
    Products:
      type: array
      items:
        $ref: '#/components/schemas/Product'
    ErrorResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
    Product:
      type: object
      required:
        - productId
        - name
        - productTiers
        - contentProvider
      properties:
        productId:
          type: string
          format: uuid
          description: Bango's unique identifier of the product
          examples:
            - 5f721731-2946-45f9-9f0e-03df00cf11ed
        name:
          type: string
          description: The product name
          examples:
            - Music
        localizedData:
          type: object
          properties:
            en-US:
              $ref: '#/components/schemas/ProductLocalizedData'
              type: object
        productTiers:
          type: array
          items:
            $ref: '#/components/schemas/ProductTier'
        contentProvider:
          $ref: '#/components/schemas/ContentProvider'
          type: object
    Error:
      type: object
      required:
        - code
        - message
        - originator
      properties:
        code:
          type: string
          description: Code to identify the type of error
        message:
          type: string
          description: Error code description
        originator:
          type: string
          description: The source of the error
        metadata:
          type: object
          description: Additional information to support error investigation
    ProductLocalizedData:
      type: object
      properties:
        description:
          type: string
          description: >-
            Localized description of the specific product resource (content
            provider, product or product tier)
          examples:
            - Localized resource description
    ProductTier:
      type: object
      required:
        - productTierId
        - name
      properties:
        productTierId:
          type: string
          format: uuid
          description: Bango's unique identifier of the product's tier
          examples:
            - 4020dd8a-99fd-441e-b14b-575166c9b43b
        name:
          type: string
          description: The tier name
          examples:
            - Premium
        localizedData:
          type: object
          properties:
            en-US:
              $ref: '#/components/schemas/ProductLocalizedData'
              type: object
    ContentProvider:
      type: object
      required:
        - contentProviderId
        - name
      properties:
        contentProviderId:
          type: string
          format: uuid
          description: >-
            Bango's unique identifier of the content provider who produces the
            product/service
          examples:
            - fc5c87fb-469c-4623-8277-cfa9c13d63bc
        name:
          type: string
          description: The name of the content provider
          examples:
            - Bango
        merchantAccountKey:
          type: string
          description: Route identifier of the content provider for entitlement creation
          examples:
            - BANGO_MEDIA
        localizedData:
          type: object
          properties:
            en-US:
              $ref: '#/components/schemas/ProductLocalizedData'
              type: object
  securitySchemes:
    basic:
      type: http
      description: Basic authentication
      scheme: basic

````